Ask Your Question
0

Fedora 29 VirtualBox possible conflict

asked 2019-02-27 09:32:30 -0600

zug234zwang gravatar image

I did a complete re-install (not upgrade) to Fedora 29 in November 2018. At that time, a Fedora-29-compatible version of VirtualBox was not yet ready. Discussed below the ========= line in this query are the steps that I took to (unsuccessfully) attempt installing VirtualBox in Fedora 29 last November.

I am about to install VirtualBox in Fedora 29 by following the instructions in this link:
https://www.if-not-true-then-false.co...

What preliminary steps (if any) should I execute to first undo my unsuccessful attempt?

=========================================================

For reference purposes, the attempt was documented by the following query: https://unix.stackexchange.com/questi...

Pertinent details from the above query follow:

  1. cd /etc/yum.repos.d/
  2. wget http://download.virtualbox.org/virtua...
  3. Update latest packages and check your kernel version
  4. dnf install binutils gcc make patch libgomp glibc-headers glibc-devel kernel-headers kernel-devel dkms
  5. The above command triggered the following error msg:
    Failed to synchronize cache for repo 'virtualbox', ignoring this repo.
  6. Ignoring the above error msg, I then executed:
    dnf install VirtualBox-5.2
  7. The above command triggered the following msgs:
    Fedora 29 - x86_64 - VirtualBox

    Failed to synchronize cache for repo 'virtualbox', ignoring this repo.
    Last metadata expiration check: 0:05:45 ago on Sat 17 Nov 2018 03:40:42 PM PST.
    No match for argument: VirtualBox-5.2
    Error: Unable to find a match
  8. Investigating, I then executed:
    cd /
    sudo find -type f -iname "virtualbox.*"
    sudo find -type f -iname "virtualbox*"
  9. Results:
    ./var/cache/PackageKit/29/metadata/updates-29-x86_64/packages/virtualbox-guest-additions-5.2.20-1.fc29.x86_64.rpm
    ./var/cache/PackageKit/29/metadata/updates-29-x86_64/packages/virtualbox-guest-additions-5.2.22-1.fc29.x86_64.rpm
  10. Per answer on corresponding query, given by Aaron D. Marasco, I then executed:
    Change $releasever to 28
    Re-attempt : dnf install VirtualBox-5.2
  11. The result was several new error messages:
    conflicting requests - nothing provides libvpx.so.4()(64bit)
    needed by VirtualBox-5.2-5.2.0_118431_fedora26-1.x86_64.
  12. Re-investigating today, 2-25-2019, I just executed
    cd /
    sudo find -type f -iname "virtualbox.*"
    sudo find -type f -iname "virtualbox*"
  13. Ignoring *.png files, the results were:
    ./etc/yum.repos.d/virtualbox.repo
    ./var/cache/dnf/virtualbox.solv
    ./var/cache/dnf/virtualbox.solv
    ./var/cache/dnf/virtualbox-filenames.solvx
  14. Just to emphasize, the following files are no longer present:
    ./var/cache/PackageKit/29/metadata/updates-29-x86_64/packages/virtualbox-guest-additions-5.2.20-1.fc29.x86_64.rpm
    ./var/cache/PackageKit/29/metadata/updates-29-x86_64/packages/virtualbox-guest-additions-5.2.22-1.fc29.x86_64.rpm

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
0

answered 2019-02-27 14:09:26 -0600

sixpack13 gravatar image
why do you try to install an old Version of VBox ?       

6.0.4 is the last  and runs fine with F29 !

https://www.virtualbox.org/wiki/Linux_Downloads
edit flag offensive delete link more

Comments

to sixpack13 : Did you misinterpret my query? The link that I indicated that I am about to follow will have me install virtualbox 6. Last November, I was following similar instructions and aborted. The whole point of this query is for me to clean up the previous mess before installing virtualbox 6.

zug234zwang gravatar imagezug234zwang ( 2019-02-27 15:01:07 -0600 )edit

Question Tools

1 follower

Stats

Asked: 2019-02-27 09:32:30 -0600

Seen: 105 times

Last updated: Feb 27 '19